Subject: Re: ALSA fixes for non-coherent ppc32 again

From: "Gerhard Pircher" <[email-masked]>
Date: Fri, 26 Jun 2009 15:14:54 +0200

-------- Original-Nachricht --------
> Datum: Wed, 24 Jun 2009 11:47:13 +0200
> Von: Takashi Iwai <[email-masked]>
> An: "Gerhard Pircher" <[email-masked]>
> CC: [email-masked], [email-masked]
> Betreff: Re: ALSA fixes for non-coherent ppc32 again

> At Wed, 24 Jun 2009 10:46:01 +0200,
> Gerhard Pircher wrote:
> > 
> > 
> > -------- Original-Nachricht --------
> > > Datum: Tue, 23 Jun 2009 23:42:24 +0200
> > > Von: "Gerhard Pircher" <[email-masked]>
> > > An: [email-masked], [email-masked]
> > > CC: [email-masked]
> > > Betreff: Re: ALSA fixes for non-coherent ppc32 again
> > 
> > > Okay, that's wrong. I somehow messed up the .config file. It doesn't
> > > compile, too.
> > I got it to compile now and it seems to work fine. I overlooked a typo
> > in sound/core/Makefile first (ifndef CONFIG_SND_NONCOHERNT_DMA.)
> 
> Gah, thanks, fixed now on the git tree too.

The Kconfig option still needs to be fixed, otherwise SND_COHERENT_DMA
isn't selected for my "PPC32 && NOT_COHERENT_CACHE" machine.

config SND_NONCOHERENT_DMA
        def_bool n  <-- should be "y"
        depends on (PPC32 && NOT_COHERENT_CACHE)...

BTW: Can you put me on CC: please, if you bring up this topic on
linux-arch or so?

Gerhard

-- 
GRATIS für alle GMX-Mitglieder: Die maxdome Movie-FLAT!
Jetzt freischalten unter http://portal.gmx.net/de/go/maxdome01